Package org.eclipse.emf.cdo.session

# Interface CDOUserInfoManager

public interface CDOUserInfoManager
Provides additional user information for given user IDs in the context of a `session`. User information `entities` are requested from the repository of the `session` and cached in this user info manager.

Since:
  4.26
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOSession`
`getSession()`
`default org.eclipse.net4j.util.collection.Entity`
`getUserInfo(String userID)`
`Map<String,org.eclipse.net4j.util.collection.Entity>`
`getUserInfos(Iterable<String> userIDs)`
`default Map<String,org.eclipse.net4j.util.collection.Entity>`
`getUserInfos(String... userIDs)`

## Method Details

### getSession

CDOSession getSession()

### getUserInfo

default org.eclipse.net4j.util.collection.Entity getUserInfo(String userID)

### getUserInfos

default Map<String,org.eclipse.net4j.util.collection.Entity> getUserInfos(String... userIDs)

### getUserInfos

Map<String,org.eclipse.net4j.util.collection.Entity> getUserInfos(Iterable<String> userIDs)